<?php $linkHtml   = commonModel::printLink('customer', 'import', '', $lang->importIcon . $lang->customer->import, "class='btn btn-secondary' data-toggle='modal'", false);?>
<?php $exportHtml = commonModel::printLink('customer', 'exportTemplate', '', $lang->customer->exportTemplate, "class='iframe' data-width='700'", false, false, 'li');?>
<script>
$(function()
{
    $('#menuActions').prepend(<?php echo helper::jsonEncode($linkHtml)?>);
    $('#exportActionMenu').append(<?php echo helper::jsonEncode($exportHtml)?>);
});
</script>

<?php $canInvoice = commonModel::hasPriv('customer', 'invoice');?>
<?php $canInfo    = commonModel::hasPriv('customer', 'invoiceInfo');?>
<?php $canCreate  = commonModel::hasPriv('crm.invoice', 'create');?>
<?php if($canInvoice or $canInfo or $canCreate):?>
<div id='invoiceList' class='hide'>
  <?php
  foreach($customers as $customer)
  {
      echo '<div>';
      if($canInvoice && $customer->invoiceCount > 0) echo '<li>' . html::a(inlink('invoice', "customerID={$customer->id}"), $lang->customer->invoiceList, "class='invoice-list' data-toggle='modal' data-width='80%'") . '</li>';
      if($canCreate && $customer->invoiceCount == 0) echo '<li>' . html::a($this->createLink('crm.invoice', 'create', "customerID={$customer->id}"), $lang->customer->invoiceList, "class='invoice-list'") . '</li>';
      if($canInfo) echo '<li>' . html::a(inlink('invoiceInfo', "customerID=$customer->id"), $lang->customer->invoiceInfo, "data-toggle='modal' data-width=80%'") . '</li>';
      echo '</div>';
  }
  ?>
</div>
<script>
$(function()
{
    $('tr td.actions').each(function(index)
    {
        var $div = $('#invoiceList div:nth-child(' + (index + 1) + ')');
        $(this).find('.dropdown-menu > li:nth-child(2)').after($div.html());
    });
});
</script>
<?php endif;?>
